package com.ssm.mapper.system;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ssm.model.system.SysDictionary;

public interface SysDictionaryMapper {
    int deleteByPrimaryKey(Integer dictid);

    int insert(SysDictionary record);

    int insertSelective(SysDictionary record);

    SysDictionary selectByPrimaryKey(Integer dictid);

    int updateByPrimaryKeySelective(SysDictionary record);

    int updateByPrimaryKey(SysDictionary record);
    
    List<SysDictionary> selectByNamespace(@Param("namespace") String namespace);
    
    List<SysDictionary> selectByEnabledNamespace(@Param("namespace") String namespace);
    
    List<SysDictionary> selectConstCategory();
    
    List<SysDictionary> selectByCondition(SysDictionary record);
    
    List<SysDictionary> selectByCondition2(SysDictionary record);
    
    SysDictionary selectByNamespaceAndValue(@Param("namespace") String namespace, @Param("value") String value);
}